{ config, lib, buildPythonPackage, pkgs, fetchPypi,... }:

let
  unstable = import <nixos-unstable> { };
in {

  services.emacs.package = pkgs.emacs29-pgtk;

  environment.systemPackages = with pkgs; [
    gnumake
    go_1_19
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer

    (python310.withPackages
      (python-packages: with python-packages; [
        black
        diagrams
        pymemcache
        pyyaml
        requests
        python-lsp-server
      ])
    )

    mariadb-client
    musl

    dbeaver
    emacs29-pgtk
    gitAndTools.delta
    lazygit
    ltrace
    parallel
    sops
    tig
    unstable.bazel

    openssl
    pkg-config
    nasm
    cmake
    zlib
    gcc
    binutils-unwrapped
  ];
}
